
def random_entity_recognition(text, model_file):
    """
    Use a pre-trained Allennlp model to perform named entity recognition on a given text.
    """
    from allennlp.models import load_model
    from allennlp.predictors import Predictor

    # Load the pre-trained model
    model = load_model(model_file)
    
    # Use the model to predict entities in the text
    predictor = Predictor.from_path(model_file)
    result = predictor.predict(sentence=text)
    
    return result



